System‑Information
This chapter provides examples on how to use Netconf to retrieve System information on AsterNOS devices.
Get System Fan information
Section titled “Get System Fan information”Request example to retrieve Fan information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <fan-info/> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <fan-info> <id>FAN2</id> <status>false</status> <direction>exhaust</direction> <speed>11760</speed> <presence>false</presence> <timestamp>20250928 09:37:46</timestamp> </fan-info> <fan-info> <id>FAN1</id> <status>false</status> <direction>exhaust</direction> <speed>11880</speed> <presence>false</presence> <timestamp>20250928 09:37:46</timestamp> </fan-info> </system-info> </top></data>Get System Temperature information
Section titled “Get System Temperature information”Request example to retrieve temperature information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <temperature/> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <temperature> <device-id>THERMAL_3</device-id> <temperature>27.0</temperature> <high-threshold>75.0</high-threshold> <critical-high-threshold>95.0</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>THERMAL_2</device-id> <temperature>29.0</temperature> <high-threshold>75.0</high-threshold> <critical-high-threshold>95.0</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>CORE_0</device-id> <temperature>40.0</temperature> <high-threshold>82.00</high-threshold> <critical-high-threshold>104.00</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>CORE_1</device-id> <temperature>40.0</temperature> <high-threshold>82.00</high-threshold> <critical-high-threshold>104.00</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>Physical_id_0</device-id> <temperature>40.0</temperature> <high-threshold>82.00</high-threshold> <critical-high-threshold>104.00</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>THERMAL_1</device-id> <temperature>32.0</temperature> <high-threshold>75.0</high-threshold> <critical-high-threshold>95.0</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> <temperature> <device-id>THERMAL_4</device-id> <temperature>26.0</temperature> <high-threshold>75.0</high-threshold> <critical-high-threshold>95.0</critical-high-threshold> <low-threshold>N/A</low-threshold> <critical-low-threshold>N/A</critical-low-threshold> <warning-status>false</warning-status> <is-replaceable>false</is-replaceable> <timestamp>20250928 17:43:01</timestamp> </temperature> </system-info> </top></data>Get System EEPROM information
Section titled “Get System EEPROM information”Request example to retrieve EEPROM information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <sys-eeprom> <entry/> </sys-eeprom> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <sys-eeprom> <entry> <code>0x2a</code> <name>MAC Addresses</name> <length>2</length> <eeprom-value>1</eeprom-value> </entry> <entry> <code>0x21</code> <name>Product Name</name> <length>20</length> <eeprom-value>CX102S-16GT-M-D2-SWP</eeprom-value> </entry> <entry> <code>0xfe</code> <name>CRC-32</name> <length>4</length> <eeprom-value>0x83F6A392</eeprom-value> </entry> <entry> <code>0x2d</code> <name>Vendor Name</name> <length>11</length> <eeprom-value>Asterfusion</eeprom-value> </entry> <entry> <code>0x24</code> <name>Base MAC Address</name> <length>6</length> <eeprom-value>00:0E:C6:56:9D:35</eeprom-value> </entry> <entry> <code>0x2b</code> <name>Manufacturer</name> <length>11</length> <eeprom-value>Asterfusion</eeprom-value> </entry> <entry> <code>0x23</code> <name>Serial Number</name> <length>11</length> <eeprom-value>F02FFFFFFFF</eeprom-value> </entry> <entry> <code>0x28</code> <name>Platform Name</name> <length>35</length> <eeprom-value>arm64-asterfusion_cx102s_16gt_a1-r0</eeprom-value> </entry> </sys-eeprom> </system-info> </top></data>Get System Power-Supply information
Section titled “Get System Power-Supply information”Request example to retrieve power-supply information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <psu-info/> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <psu-info> <id>PSU1</id> <status>OK</status> </psu-info> </system-info> </top></data>Get System SSD Health information
Section titled “Get System SSD Health information”Request example to retrieve SSD health information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <ssd-health/> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <ssd-health> <disk-type>SATA</disk-type> <device-model>Saturn NCT 624XN 256GB</device-model> <health>131076%</health> <temperature>32C</temperature> </ssd-health> </system-info> </top></data>Get System Hardware information
Section titled “Get System Hardware information”Request example to retrieve hardware information via get with subtree filter.
<filter type="subtree"> <top> <system-info> <hardware-info/> </system-info> </top></filter>Response example
<data> <top> <system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information"> <hardware-info> <platform>{'platform': 'arm64-asterfusion_cx102s_16gt_a1-r0', 'hwsku': 'CX102S-16GT-M-D2-SWP', 'asic_type': 'marvell-prestera', 'asic_count': 1}</platform> <device>CX102S-16GT-M-D2-SWP</device> <asic>marvell-prestera</asic> </hardware-info> </system-info> </top></data>Get System Version information
Section titled “Get System Version information”Request example to retrieve system version information via rpc show-version.
<show-version/>Response example
<data> <software-version>AsterNOS-Campus-V6.1R004-20250928.121903</software-version> <os-version>12</os-version> <distribution>Debian 12.12</distribution> <kernel>6.1.0-22-2-arm64</kernel> <build-commit>46b6112c4b</build-commit> <build-date>Sun Sep 28 06:24:18 UTC 2025</build-date> <built-by>jenkins@aarch64-ubt2204</built-by></data>Get System Clock information
Section titled “Get System Clock information”Request example to retrieve system clock information via rpc show-clock.
<show-clock/>Response example
<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">2025-09-28 09:49:48 Sunday UTC+0000</data>Get System Uptime information
Section titled “Get System Uptime information”Request example to retrieve system uptime information via rpc show-uptime.
<show-uptime/>Response example
<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">up 2 hours, 49 minutes</data>Get System Memory information
Section titled “Get System Memory information”Request example to retrieve system memory information via rpc show-memory.
<show-memory/>Response example
<data> <Mem> <total>3986</total> <used>2047</used> <free>782</free> <shared>13</shared> <buff-cache>1257</buff-cache> <available>1938</available> </Mem> <Swap> <total>0</total> <used>0</used> <free>0</free> </Swap></data>Get System Reboot Cause information
Section titled “Get System Reboot Cause information”Request example to retrieve system reboot cause information via rpc show-reboot-cause.
<show-reboot-cause/>Response example
<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">Kernel Panic [Time: Thu Jun 26 02:58:47 PM UTC 2025]</data>